
function plotting(DOA,ISPtot,theta,sigma);

% Plotting:

close all hidden

clf;
hold on;
box on;
xlabel('DOA degree');
ylabel('ISP [dB]');
grid;

% The real signals arriving to the array:
plot(theta,sigma,'ok');

plot(DOA(1,:),ISPtot(1,:),'g');
plot(DOA(2,:),ISPtot(2,:),'c');
plot(DOA(3,:),ISPtot(3,:),'m');
plot(DOA(4,:),ISPtot(4,:));
plot(DOA(5,:),ISPtot(5,:),'r');

h = legend('real values','DASB','SCB','RCB','NCCB','DCRCB');
%h = legend('real values','DASB');

thetapolar = theta.*pi./180;
thetapolar1 = DOA(1,:).*pi./180;
thetapolar2 = DOA(2,:).*pi./180;
thetapolar3 = DOA(3,:).*pi./180;
thetapolar4 = DOA(4,:).*pi./180;
thetapolar5 = DOA(5,:).*pi./180;

figure;

% The real signals arriving to the array:
mmpolar(thetapolar,sigma,'ok');
hold on;

mmpolar(thetapolar1,ISPtot(1,:),'g');
mmpolar(thetapolar2,ISPtot(2,:),'c');
mmpolar(thetapolar3,ISPtot(3,:),'m');
mmpolar(thetapolar4,ISPtot(4,:));
mmpolar(thetapolar5,ISPtot(5,:),'r');

mmpolar('TTickDelta',15,'TLimit',[-pi/2 pi/2]);
view(90,-90);
ylabel('ISP [dB] vs. DOA degree');

k = legend('real values','DASB','SCB','RCB','NCCB','DCRCB');
%k = legend('real values','DASB');

% -------------------------------------------------------------
